<p>{{> theorie }}
<code>SUM</code>, <code>AVG</code> und <code>COUNT</code> sind sogenannte Aggregatfunktionen (kurz:
Aggregate) und tun genau das, was deren Namen schon vermuten lassen: Während <code>AVG</code>
und <code>SUM</code> für eine numerische Spalte den Durchschnittswert bzw. die Summe aller Werte
ausgibt, gibt <code>COUNT</code> die Anzahl Reihen aus, die mit der Bedingung übereinstimmen.
</p>
<div>
<ul class="ovk-list">
<li> Gib die durchschnittliche Klassenstufe aller Schüler mit dem Vornamen David aus:
    <pre class="db-code">
<code class="sql hljs">
SELECT AVG(Klassenstufe)
FROM Schueler
WHERE Vorname = 'David';
</code>
</pre>
</li>
<li> Gib die Anzahl Schüler aus, die in die Klasse 10b gehen:
    <pre class="db-code">
<code class="sql hljs">
SELECT COUNT(S_Nr)
FROM Schueler
WHERE Klasse = '10b';
</code>
</pre>
</li>
</ul>
</div>
<p>
Im Zusammenhang mit Aggregaten wird häufig <code>GROUP BY</code> verwendet. <code>GROUP BY</code>
gruppiert die Dateneinträge (Reihen) entsprechend der Werte einer Tabellenspalte, auf die das
Statement angewendet wurde. Enthält die Abfrage zusätzlich ein Aggregat, wie bswp. <code>COUNT</code>, wird
die Anzahl Dateneinträge der jeweils gebildeten Gruppen zurückgegeben. <br>
Das nachfolgend abgebildete Beispiel zeigt, wie beides in Kombination angewendet werden kann. In
diesem wird jeweils für jede Klasse die Anzahl Schüler ausgegeben. Zum besseren Verständnis wurde
die Tabellenspalte, die die Anzahl Schüler ausgibt auch entsprechend mittels <code>AS</code> umbenannt:
</p>
<ul class="ovk-list">
<li>
<p>
<div class="row">
    <div class="col-sm">
        <pre class="db-code">
<code class="sql hljs">
SELECT Klasse, COUNT(S_Nr) AS Anzahl_Schueler
FROM Schueler
GROUP BY Klasse;
</code>
</pre>
    </div>
    <div class="col-sm">
        <table class="table table-sm table-bordered" style="border-color: black;">
            <thead style="background-color: #f0f2f5;">
                <tr>
                    <th>Klasse</th>
                    <th>Anzahl_Schueler</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>8c</td>
                    <td>2</td>
                </tr>
                <tr>
                    <td>9a</td>
                    <td>2</td>
                </tr>
                <tr>
                    <td>10a</td>
                    <td>1</td>
                </tr>
                <tr>
                    <td>10b</td>
                    <td>3</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

